/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "IEEE-1609-3-WSA"
 * 	found in "../Ieee1609Dot3Wsa.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_ChannelIndex_H_
#define	_ChannelIndex_H_


#include <asn_application.h>

/* Including external dependencies */
#include <NativeInteger.h>

#ifdef __cplusplus
extern "C" {
#endif

/* Dependencies */
typedef enum ChannelIndex {
	ChannelIndex_notUsed	= 0,
	ChannelIndex_firstEntry	= 1
} e_ChannelIndex;

/* ChannelIndex */
typedef long	 ChannelIndex_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_ChannelIndex;
asn_struct_free_f ChannelIndex_free;
asn_struct_print_f ChannelIndex_print;
asn_constr_check_f ChannelIndex_constraint;
ber_type_decoder_f ChannelIndex_decode_ber;
der_type_encoder_f ChannelIndex_encode_der;
xer_type_decoder_f ChannelIndex_decode_xer;
xer_type_encoder_f ChannelIndex_encode_xer;
per_type_decoder_f ChannelIndex_decode_uper;
per_type_encoder_f ChannelIndex_encode_uper;

#ifdef __cplusplus
}
#endif

#endif	/* _ChannelIndex_H_ */
#include <asn_internal.h>
